Publish event site via v0 deployment
curl --request POST \
--url https://api.eventlink.co/api/v1/dashboard/events/{eventId}/site/publish \
--cookie better-auth.session_token=import requests
url = "https://api.eventlink.co/api/v1/dashboard/events/{eventId}/site/publish"
headers = {"cookie": "better-auth.session_token="}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {cookie: 'better-auth.session_token='}};
fetch('https://api.eventlink.co/api/v1/dashboard/events/{eventId}/site/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventId": "<string>",
"orgSlug": "<string>",
"eventSlug": "<string>",
"status": "DRAFT",
"v0ProjectId": "<string>",
"v0ChatId": "<string>",
"v0VersionId": "<string>",
"previewDemoUrl": "<string>",
"previewWebUrl": "<string>",
"previewUpdatedAt": "2023-11-07T05:31:56Z",
"publishedDeploymentUrl": "<string>",
"publishedDeploymentId": "<string>",
"publishedVersionId": "<string>",
"hasUnpublishedChanges": true,
"publicPath": "<string>",
"publicUrl": "<string>",
"domain": {
"hostname": "<string>",
"status": "pending_dns"
}
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Publish event site via v0 deployment
Deploys the current v0 chat via chats.deploy, stores the deployment URL, and sets the event status to PUBLISHED.
POST
/
api
/
v1
/
dashboard
/
events
/
{eventId}
/
site
/
publish
Publish event site via v0 deployment
Authorizations
Better Auth session cookie.
Path Parameters
Event id
Minimum string length:
1Example:
"be1bbd83-5d72-4dd1-8948-ee01a42d1939"
Response
Event site published
Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
DRAFT, PUBLISHED Path that works today. /{eventSlug} when the custom domain is active, otherwise /{orgSlug}/{eventSlug}.
Minimum string length:
1Absolute or path-only URL that works today. Uses the custom hostname only when its status is active.
Minimum string length:
1Workspace custom domain, including rows that are not active yet. Null when none is configured.
Show child attributes
Show child attributes